#!/bin/bash
FILE=/lib/libncursest.so
WORK_DIR="${PWD}"
CORES="$(nproc)"
CURSES_URL="https://invisible-mirror.net/archives/ncurses/current/ncurses.tar.gz"
if test -f "$FILE"; then
       echo "$FILE exists; skipping ncurses compile."
else
        echo "$FILE does not exist, fetching and compiling ncurses source code now..."
        mkdir ncurses
        wget -q -O- "${CURSES_URL}" | tar -xz -C ncurses
        echo "Fetched ncurses source code from ${CURSES_URL}..."
        cd ncurses/*/
        echo "Runnning configure script..." 
        ./configure --with-pthread --with-shared > /dev/null
        echo "Running make..."         
        make -j"${CORES}" > /dev/null
fi

